Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1839380

Summary: Review Request: golang-github-phayes-freeport - Detect free and open TCP port
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-06 01:02:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1839389    

Description Fabian Affolter 2020-05-23 20:05:54 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-phayes-freeport.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-phayes-freeport-1.0.2-1.fc31.src.rpm

Project URL: https://github.com/phayes/freeport

Description:
Get a free and open tcp port that is ready to use.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=44875755

rpmlint output:
$ rpmlint golang-github-phayes-freeport-1.0.2-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint golang-github-phayes-freeport-devel-1.0.2-1.fc31.noarch.rpm 
golang-github-phayes-freeport-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/phayes/freeport/.goipath
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-25 18:08:29 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-06-26 14:25:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-phayes-freeport

Comment 3 Fedora Update System 2020-06-27 21:24:24 UTC
FEDORA-2020-cb8642f8ab has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cb8642f8ab

Comment 4 Fedora Update System 2020-06-28 01:10:30 UTC
FEDORA-2020-cb8642f8ab has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-cb8642f8ab \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cb8642f8ab

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-07-06 01:02:20 UTC
FEDORA-2020-cb8642f8ab has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.